CopyHero

Search Folders For Agent

GET
/api/v1/product-library/folders/agent-search

Bounded flat owner-scoped folder discovery for external agents.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

q?|

Optional case-insensitive folder name/path substring.

limit?Limit
Range1 <= value <= 50
Default20

Response Body

Successful Response

application/json
  1. response
data*array<>
count*Count

Total matching folders before the result cap.

Example Request
curl -X GET 'https://app.copyhero.app/api/v1/product-library/folders/agent-search'
Example Response
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "path": "string",      "product_count": 0    }  ],  "count": 0}